#ifndef BZ
#pragma GCC optimize "-O3"
#endif
#include <bits/stdc++.h>

typedef long long ll;
typedef long double ld;
typedef unsigned long long ull;

using namespace std;

constexpr int MX = 100 * 1000 + 7;

using bs = bitset<MX>;

int main() {
#ifdef BZ
    freopen("in", "r", stdin);
#endif
    ios_base::sync_with_stdio(false); cin.tie(nullptr); cout.tie(nullptr); cout.setf(cout.fixed); cout.precision(10);
    int n;
    cin >> n;
    string s;
    cin >> s;
    bs p;
    for (int i = 0; i < n; i++) {
        p[i] = (s[i] == '0');
    }

    int m, a, b;
    cin >> m >> a >> b;

    bs q;

    for (int i = 0; i < m; i++) {
        for (int j = 0; j < a; j++) {
            q[i * (a + b) + j] = true;
        }
    }

    int len = m * (a + b);
    int ans = 0;
    for (int i = 0; i + len - 1 < n; i++) {
        if ((p & (q << i)).none()) {
            ans++;
        }
    }

    cout << ans << "\n";
}