#include <bits/stdc++.h>
#include "testlib.h"
#define ff first
#define ss second
#define szof(_x) ((int) (_x).size())

using namespace std;
typedef long long ll;
typedef pair<int, int> pii;
const int INF = 1e9 + 7;
const ll INFL = 1e18 + 123;
const double PI = atan2(0, -1);

int MAXN = 100000, MAXQ = 100000, MAXV = (1 << 20) - 1;

int main(int argc, char* argv[]) {
	registerValidation(argc, argv);

	if (validator.group() == "1") {
		MAXN = 5000;
		MAXQ = 5000;
	}

	int n = inf.readInt(1, MAXN, "n");
	inf.readSpace();
	int q = inf.readInt(0, MAXQ, "q");
	inf.readEoln();

	for (int i = 0; i < n; ++i) {
		inf.readInt(0, MAXV, "number");
		if (i < n - 1) {
			inf.readSpace();
		}
	}
	inf.readEoln();
	int num_and = 0;
	for (int i = 0; i < q; ++i) {
		string type = inf.readToken("xor|and|?");
		if (validator.group() == "2") {
			ensuref(type == "xor" || type == "?", "group #3, all requests should be \"xor\" or \"?\"");
		}
		if (validator.group() == "3") {
			ensuref(type == "and" || type == "?", "group #4, all requests should be \"and\" or \"?\"");
		}
		if (type == "and") {
			num_and++;
		}
		inf.readSpace();
		if (type == "xor" || type == "and") {
			inf.readInt(0, MAXV, "number");
		} else {
			int l = inf.readInt(0, MAXV, "l");
			inf.readSpace();
			int r = inf.readInt(l, MAXV, "r");
			if (validator.group() == "2" || validator.group() == "3" || validator.group() == "4" || validator.group() == "5") {
				ensuref(l == r, "in groups #2, #3, #4 and #5, l should be equal to r");
			}
		}
		inf.readEoln();
	}

	if (validator.group() == "4") {
		ensuref(num_and <= 100, "group #4, number of requests \"and\" should be no more than 100");
	}

	inf.readEof();

	return 0;
}