#include <bits/stdc++.h>
#include "testlib.h"
#define ff first
#define ss second
#define szof(_x) ((int) (_x).size())

using namespace std;
typedef long long ll;
typedef pair<int, int> pii;
const int INF = 1e9 + 7;
const ll INFL = 1e18 + 123;
const double PI = atan2(0, -1);

const int bp = 20;
const int MAXV = 1 << bp, mask = (1 << bp) - 1;

int rsq[MAXV * 2];
int bpv = MAXV;
int vals_xor = 0;

int s_get(int v, int vl, int vr, int l, int r, int d) {
	//cerr << v << " " << vl << " " << vr << " " << d << endl;
	//assert(d >= 0);
	if (vr <= l || r <= vl) {
		return 0;
	}
	if (l <= vl && vr <= r) {
		return rsq[v];
	}
	int vm = (vl + vr) / 2;
	if (vals_xor & (1 << d)) {
		return s_get(v * 2, vm, vr, l, r, d - 1) + s_get(v * 2 + 1, vl, vm, l, r, d - 1);
	}
	return s_get(v * 2, vl, vm, l, r, d - 1) + s_get(v * 2 + 1, vm, vr, l, r, d - 1);
}

vector<int> inp;
int defined_mask = 0, undefined_mask = mask;
int defined_value = 0;

void do_and(int num) {
	int not_num = (~num) & mask;
	if ((defined_mask & not_num) != not_num) {
		defined_mask |= not_num;
		undefined_mask &= num;
		defined_value &= num;
		fill(rsq, rsq + bpv * 2, 0);
		//cerr << "new vals: ";
		for (int& val : inp) {
			val ^= vals_xor;
			val &= num;
			//cerr << val << " ";
			rsq[val + bpv]++;
		}
		for (int j = bpv - 1; j; --j) {
			rsq[j] = rsq[j * 2] + rsq[j * 2 + 1];
		}
		//cerr << endl;
		vals_xor = 0;
	} else {
		defined_value &= num;
	}
}

void do_xor(int num) {
	vals_xor ^= num & undefined_mask;
	defined_value ^= num & defined_mask;
}

pii find_any(int v, int vl, int vr, int len, int d) {
	//cerr << v << " " << vl << " " << vr << " " << l << " " << r << " " << len << " " << d << endl;
	if (vr - vl <= len) {
		//cerr << "here" << endl;
		int lret = rnd.next(max(vr - len, 0), vl);
		return {lret, lret + len};
	}
	int vm = (vl + vr) / 2;
	int lvl = vl, lvr = vm, rvl = vm, rvr = vr;
	if (vals_xor & (1 << d)) {
		swap(lvl, rvl);
		swap(lvr, rvr);
	}
	if (!rsq[v * 2 + 1]) {
		return find_any(v * 2, lvl, lvr, len, d - 1);
	}
	if (!rsq[v * 2]) {
		return find_any(v * 2 + 1, rvl, rvr, len, d - 1);
	}
	if (rnd.next(0, 1)) {
		return find_any(v * 2, lvl, lvr, len, d - 1);
	}
	return find_any(v * 2 + 1, rvl, rvr, len, d - 1);
}

int main(int argc, char* argv[]) {
	registerGen(argc, argv, 1);

	assert(argc >= 6);
	int n = atoi(argv[1]);
	int q = atoi(argv[2]);
	int maxv = atoi(argv[3]);
	int num_and = atoi(argv[4]);
	int num_xor = atoi(argv[5]);
	int maxl = atoi(argv[6]);

	cout << n << " " << q << "\n";
	
	for (int i = 0; i < n; ++i) {
		inp.push_back(rnd.next(0, maxv));
		rsq[inp.back() + bpv]++;
		cout << inp.back();
		if (i < n - 1) {
			cout << " ";
		}
	}
	cout << "\n";

	for (int i = bpv - 1; i; --i) {
		rsq[i] = rsq[i * 2] + rsq[i * 2 + 1];
	}


	vector<int> bits_order;
	for (int i = 0; (1 << i) <= maxv; ++i) {
		bits_order.push_back(i);
		//cerr << i << endl;
	}

	shuffle(bits_order.begin(), bits_order.end());
	vector<int> acts;
	for (int i = 0; i < num_and && i < szof(bits_order); ++i) {
		acts.push_back(3);
	}
	for (int i = 0; i < num_and - szof(bits_order); ++i) {
		acts.push_back(0);
	}
	for (int i = 0; i < num_xor; ++i) {
		acts.push_back(1);
	}	
	int numask = q - num_and - num_xor;
	for (int i = num_and + num_xor; i < q; ++i) {
		acts.push_back(2);
	}

	shuffle(acts.begin(), acts.end());

	auto it1 = find(acts.begin(), acts.end(), 0);
	auto it2 = find(acts.begin(), acts.end(), 3);
	if (it1 < it2) {
		swap(*it1, *it2);
	}

	int cnt_bits = 0;
	for (int i = 0; i < q; ++i) {
		//cerr << acts[i] << endl;
		if (acts[i] == 0) {
			assert(cnt_bits);
			int tmp = rnd.next(0, (1 << cnt_bits) - 1);
			int num = 0;
			for (int j = 0; j < cnt_bits; ++j) {
				if (tmp & (1 << j)) {
					num |= 1 << bits_order[j];
				}
			}
			num = (~num) & mask;
			cout << "and " << num << "\n";
			do_and(num);
		} else if (acts[i] == 3) {
			int tmp = rnd.next(0, (1 << cnt_bits) - 1);
			int num = 0;
			for (int j = 0; j < cnt_bits; ++j) {
				if (tmp & (1 << j)) {
					num |= 1 << bits_order[j];
				}
			}
			num |= 1 << bits_order[cnt_bits++];
			num = (~num) & mask;
			cout << "and " << num << "\n";
			do_and(num);
		} else if (acts[i] == 1) {
			int num = rnd.next(0, maxv);
			cout << "xor " << num << "\n";
			do_xor(num);
		} else {
			if (rnd.next(0, numask) <= 100) {
				int len = rnd.next(1, min(maxl, maxv + 1));
			 	int l = rnd.next(0, maxv - len + 1);
			 	int r = l + len - 1;
			 	cout << "? " << l << " " << r << "\n";
			} else {
    			int l, r;
    			int len = rnd.next(1, min(maxl, maxv + 1));
    			//cerr << len << endl;
    			tie(l, r) = find_any(1, 0, bpv, len, bp - 1);
    			--r;
    			assert(s_get(1, 0, bpv, l, r + 1, bp - 1));
    			l += defined_value;
    			r += defined_value;
    			r = min(r, MAXV - 1);
    			cout << "? " << l << " " << r << "\n";
			}
			//cerr << defined_mask << endl;
		}
	}

	return 0;
}